<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html" encoding="EUC-JP" omit-xml-declaration="yes" />
	
	<!-- 1件用・詳細表示 -->
	<xsl:template match="/entry">
					<div class="article">
					
						<!-- 見出しの出力 -->
						<div class="title"><xsl:value-of select="title" disable-output-escaping="yes" /></div>
						
						<!-- 最終更新日の出力（「&#160;」は、半角空白を強制的に表示する、文字コードによる実体参照） -->
						<div class="date">最終更新日&#160;<xsl:value-of select="@year" />.<xsl:value-of select="@month" />.<xsl:value-of select="@day" />&#160;<xsl:value-of select="@hour" />:<xsl:value-of select="@minute" /></div>
						
						<!-- 写真の表示（幅150に縮小して表示） -->
						<xsl:if test="photo/text()">
							<a href="{photo}" target="_blank"><img src="{photo}&amp;w=150" class="photo" /></a>
						</xsl:if>
						
						<!-- 本文の出力 -->
						<xsl:value-of select="description" disable-output-escaping="yes" />
						
						<!-- その他の資料ファイル（複数） -->
						<xsl:for-each select="otherfiles/listitem" >
							<div class="links">
								<!-- 資料を別ウィンドウで開く。リンク文字列にはファイル名(@org）を使用。 -->
								<a href="{otherfile}" target="_blank" ><xsl:value-of select="otherfile/@org" /></a>
							</div>
						</xsl:for-each>
						
						<div class="clearboth"></div>
						
						<div class="align_right"><a href="articlelist.php" class="navi_next" >他の記事を見る</a></div>
						
					</div>
					
	</xsl:template>
</xsl:stylesheet>