<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html" encoding="EUC-JP" omit-xml-declaration="yes" />
	
	<!-- 一覧用・トップページへの表示 -->
	<xsl:template match="/entrylist">
		
		<!-- テーブルレイアウトで表示する。 -->
		<div class="subject">最近の記事</div>
		<table class="articletitlelist" border="0" cellspacing="0" cellpadding="0">

		<!-- ここから１件分 -->
		<xsl:for-each select="entry">
						
							<tr>
								<!-- 更新日のセル（7日以内の更新だったら強調表示） -->
								<xsl:if test="@daysago&lt;7">
									<td class="date_new">
										<xsl:value-of select="@year" />年<xsl:value-of select="@month" />月<xsl:value-of select="@day" />日&#160;<xsl:value-of select="@hour" />時<xsl:value-of select="@minute" />分
									</td>
								</xsl:if>
								
								<!-- 更新日のセル（7日より前の更新だったら通常表示） -->
								<xsl:if test="@daysago&gt;=7">
									<td class="date">
										<xsl:value-of select="@year" />年<xsl:value-of select="@month" />月<xsl:value-of select="@day" />日&#160;<xsl:value-of select="@hour" />時<xsl:value-of select="@minute" />分
									</td>
								</xsl:if>
								
								<!-- 見出しのセル -->
								<td class="title">
									<a href="article.php{@href}"><xsl:value-of select="title" disable-output-escaping="yes" /></a>
								</td>
								
							</tr>
					
		</xsl:for-each>
		
		</table>
		
		<!-- 全ての記事へのリンク -->
		<div class="align_right"><a href="articlelist.php" class="navi_next">全ての記事を読む</a></div>
		
	</xsl:template>
</xsl:stylesheet>