<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html" encoding="EUC-JP" omit-xml-declaration="yes" />
	
	<!-- 一覧用・詳細表示 -->
	<xsl:template match="/entrylist">
	
		<!-- ここから１件分の表示 -->
		<xsl:for-each select="entry" >
					<div class="link">
						<!-- 見出しの出力 -->
						<div class="title">
							<a href="{url}" ><xsl:value-of select="title" disable-output-escaping="yes" /></a>&#160;
							<xsl:if test="crosslinked='cross'">[相互リンク]</xsl:if>
						</div>
						
						<!-- 最終更新日の出力（「&#160;」は、半角空白を強制的に表示する、文字コードによる実体参照） -->
						<div class="date">最終更新日&#160;<xsl:value-of select="@year" />年<xsl:value-of select="@month" />月<xsl:value-of select="@day" />日&#160;<xsl:value-of select="@hour" />時<xsl:value-of select="@minute" />分</div>
						
						<!-- バナーの表示 -->
						<xsl:if test="bannarurl/text()">
							<a href="{url}"><img src="{bannarurl}" class="bannar" /></a>
						</xsl:if>
						
						<!-- 紹介文の出力 -->
						<xsl:value-of select="description" disable-output-escaping="yes" />
						
					</div>
			
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>