<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet 
	version="1.0"
	xmlns:xsl = "http://www.w3.org/1999/XSL/Transform"
	xmlns:rdf = "http://www.w3.org/1999/02/22-rdf-syntax-ns#"
	xmlns:sy	= "http://purl.org/rss/1.0/modules/syndication/"
	xmlns:dc	= "http://purl.org/dc/elements/1.1/"
	xmlns:xh	= "http://www.w3.org/1999/xhtml"
	xmlns 		= "http://purl.org/rss/1.0/" >
	
	<xsl:output method="xml" encoding="UTF-8" omit-xml-declaration="no" indent="no" />
	
	<xsl:variable name="baseUrl"		 select="'http://cms.al-design.jp/starter/'" />
	<xsl:variable name="index"			 select="concat($baseUrl, '')" />
	<xsl:variable name="rdfphp" 		 select="concat($baseUrl, 'reviewrss.php')" />
	<xsl:variable name="entryphp" 	 select="concat($baseUrl, 'review.php')" />
	<xsl:variable name="title"			 select="'CMS Designer Starter web'" />
	<xsl:variable name="description" select="'CMS Designer Starter web'" />
	<xsl:variable name="subject"		 select="'レビュー'" />
	
	<xsl:template match="/entrylist">
		
		<rdf:RDF xmlns="http://purl.org/rss/1.0/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xml:lang="ja">
		
			<channel rdf:about="{$index}">
				<title><xsl:value-of select="$title" /></title>
				<link><xsl:value-of select="$index" /></link>
				<description><xsl:value-of select="$description" /></description>
				<items>
					<rdf:Seq>
						
						<xsl:for-each select="entry">
							
							<rdf:li rdf:resource="{$entryphp}{@href}"/>
						
						</xsl:for-each>
					
					</rdf:Seq>
				</items>
			</channel>
			
			<xsl:for-each select="entry">
			
				<item rdf:about="{$entryphp}{@href}">
					<title><xsl:value-of select="title" /></title><!-- RSSの件名に"title"を指定 -->
					<link><xsl:value-of select="concat($entryphp,@href)" />&amp;rss</link>
					<description><xsl:value-of select="substring(description,0,60)" /></description><!-- RSSの要約に"description"を指定 -->
					<dc:date><xsl:value-of select="@year" />-<xsl:value-of select="@month" />-<xsl:value-of select="@day" />T<xsl:value-of select="@hour" />:<xsl:value-of select="@minute" />:<xsl:value-of select="@second" />+09:00</dc:date>
					<dc:subject><xsl:value-of select="$subject" /></dc:subject>
				</item>
			
			</xsl:for-each>
			
		</rdf:RDF>
	
	</xsl:template>
</xsl:stylesheet>