<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html" encoding="EUC-JP" omit-xml-declaration="yes" />
	
	<!-- 1件用・詳細表示 -->
	<xsl:template match="/entry">

				<!-- レイアウト用ブロック単位で出力 -->
				<div class="block">
				
					<!-- ブロックヘッダに見出しを出力 -->
					<div class="blockheader_{blockcolor}">
						<div class="blockheadertitle"><xsl:value-of select="caption" /></div>
					</div>
					
					<!-- ブロック本文に本文を出力 -->
					<div class="blockcontents">
						<!-- 写真があれば写真を出力（幅150） -->
						<xsl:if test="photo/text()"><!-- 写真の中身が無い場合のみ表示する -->
							<img src="{photo}&amp;w=150" class="photo" />
						</xsl:if>
						
						<!-- 詳細画面有りなら、「続きを読む」のリンクを表示する -->
						<xsl:if test="usedetail='yes'">
							<!-- 本文を表示(100文字まで） -->
							<xsl:value-of select="substring(contentbody, 0, 50 )" disable-output-escaping="no" />...
							<div class="align_right"><a href="singlepage.php{@href}" class="navi_next">続きを読む</a></div>
						</xsl:if>
						
						<!-- 詳細画面無しなら、全文表示する -->
						<xsl:if test="usedetail='no'">
							<!-- 本文を表示 -->
							<xsl:value-of select="contentbody" disable-output-escaping="yes" />
						</xsl:if>
						
					</div>
					
					
				
				</div>
					
	</xsl:template>
</xsl:stylesheet>